### Function

# GLib parse_debug_string

#### Declaration [src]

    guint
    g_parse_debug_string (
      const gchar* string,
      const GDebugKey* keys,
      guint nkeys
    )

#### Description [src]

Parses a string containing debugging options into a %guint containing bit flags. This is used within GDK and GTK to parse the debug options passed on the command line or through environment variables.

If `string` is equal to “all”, all flags are set. Any flags specified along with “all” in `string` are inverted; thus, “all,foo,bar” or “foo,bar,all” sets all flags except those corresponding to “foo” and “bar”.

If `string` is equal to “help”, all the available keys in `keys` are printed out to standard error.

#### Parameters

`string`

  Type: `const gchar*`

  A list of debug options separated by colons, spaces, or commas, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`keys`

  Type: An array of `GDebugKey`

  Pointer to an array of `GDebugKey` which associate strings with bit flags.

  The length of the array is specified in the `nkeys` argument.
  The data is owned by the caller of the function.

`nkeys`

  Type: `guint`

  The number of `GDebugKeys` in the array.

#### Return value

Type: `guint`

The combined set of bit flags.